Skip to main content
`Ctrl`+`K`

# SNESFASSetType

Sets the update and correction type used for `SNESFAS`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetType(SNES snes, SNESFASType fastype)

Logically Collective

## Input Parameters

- snes - `SNESFAS` context

- fastype - `SNES_FAS_ADDITIVE`, `SNES_FAS_MULTIPLICATIVE`, `SNES_FAS_FULL`, or `SNES_FAS_KASKADE`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `PCMGSetType()`, `SNESFASGetType()`, `SNES_FAS_ADDITIVE`, `SNES_FAS_MULTIPLICATIVE`, `SNES_FAS_FULL`, `SNES_FAS_KASKADE`

## Level

intermediate

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages